<div class="header bg-gradient-danger pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->
    

    </div>
  </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--7">
  <!-- Table -->
  <div class="row">
    <div class="col">
      <div class="card shadow">
        <div class="card-header bg-transparent">
          <h3 class="mb-0">Icons</h3>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table align-items-center table-flush">
              <thead class="thead-light">
                <tr>
                  <th scope="col">Designation</th>
                  <th scope="col">Prix</th>
                  <th scope="col">Quantity</th>
                  <th scope="col">Disponibility</th>
                  <th scope="col">Category</th>
                  <th scope="col">Sub Category</th>
                  <th scope="col"></th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let p of products | async ">
                  <th scope="row">
                    <div class="media align-items-center">
                      {{p.designation}}
                 
                    </div>
                  </th>
                  <td>
                    {{p.prix}}
                 
                  </td>
                  <td>
                    <span class="badge badge-dot mr-4">  {{p.qte}}
                 
                    </span>
                  </td>
                  <td>
                    <div class="avatar-group">
                      {{p.dispo}}
                     
                    </div>
                  </td>
                  <td *ngIf="p.category">
                    {{p.category.desig}}

                  </td>
                  <td *ngIf="!p.category">
                    -

                  </td>
                  <td *ngIf="p.subCategory">
                    {{p.subCategory.name}}

                  </td>
                  <td *ngIf="!p.subCategory">
                    -
                  </td>
                <!-- <td>    <button class="dropdown-item" (click)="deleteProduct(p._id)" class="btn btn-danger">Delete</button></td> -->
                  <td class="text-right">
                   
                    
                    
                    <button  class="btn btn-secondary btn-lg active" (click)="deleteProduct(p.id)"><span class="btn-inner--icon"><i class="fa fa-trash"></i></span></button>
                     
                      
                    
                        <button class="btn btn-secondary btn-lg active" [routerLink]="['/updateProduct',p.id]"><span class="btn-inner--icon"><i class="ni ni-settings"></i></span></button>
                      </td>
                    </tr>
                    
               
                
                
               
              </tbody>
            </table>
          </div>
        </div>
          </div>

</div>
</div>
</div>



